Unispec Docs
ApiRegistryUsers

Get current user

Verifies a Firebase ID token from `Authorization: Bearer <token>`, upserts the user in the database, and returns the stored profile. Returns 503 when Firebase Admin credentials are not configured or the API has no database connection.

GET
/users/me

Verifies a Firebase ID token from Authorization: Bearer <token>, upserts the user in the database, and returns the stored profile. Returns 503 when Firebase Admin credentials are not configured or the API has no database connection.

Authorization

bearerAuth
AuthorizationBearer <token>

Firebase ID token (Google sign-in, etc.)

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/users/me"
{  "user": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firebase_uid": "string",    "email": "string",    "email_verified": true,    "display_name": "string",    "photo_url": "string",    "primary_provider": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "last_seen_at": "2019-08-24T14:15:22Z"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}